#include "StdAfx.h"
#include "Bitvector.h"
#include "Constants.h"
#include "Projection.h"

#include <iostream>

using namespace std;

void BitVector::debugOutput(Projection* projection)
{
	int x, y, z;

	cout << "---------------------------------------------------" << endl;
	for(x = 0; x < xD; x++)
	{
		cout << "x = " << x << endl;
		for(y = 0; y < yD; y++)
		{
			for(z = 0; z < zD; z++)
			{
				cout << ((getBit(projection->getIndex(x, y, z))) ? '*' : ' ') << ' ';
			}
			cout << endl;
		}
	}
	waitkey();
}
